Webhooks Reference

Endpoints for managing outbound webhook subscriptions, testing endpoints, and querying delivery logs.

POST

/api/v1/webhooks

Creates a webhook subscription and returns the HMAC signing secret once.

Request Body Parameters

FieldTypeRequiredDescription
urlstringYesHTTPS destination endpoint URL
eventsarrayYesArray of event types to subscribe to (e.g. ["message.received", "message.delivered"])

Code Example (5 Languages)

curl -X POST "https://app.pingstack.in/api/v1/webhooks" \
  -H "Authorization: Bearer ps_secret_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://api.mycrm.com/webhooks/pingstack",
    "events": ["message.received", "message.delivered"]
  }'

Response Example

JSON
{
  "success": true,
  "data": {
    "id": "wh_1...",
    "url": "https://api.mycrm.com/webhooks/pingstack",
    "signing_secret": "whsec_YOUR_SIGNING_SECRET_HERE",
    "is_active": true,
    "created_at": "2026-09-10T12:00:00.000Z"
  },
  "request_id": "req_6b7c8d9e"
}